DECLARE SUB Stats ()
DECLARE SUB Street1 ()
DECLARE SUB CannotGo ()
DECLARE SUB Alley1 ()
DECLARE SUB CannotDo ()
DECLARE SUB Help ()
DECLARE SUB Inventory ()
DECLARE SUB Quit ()
DECLARE SUB RestoreInGame ()
DECLARE SUB SaveGame ()
'$INCLUDE: 'c:\bc7\programs\cyber\global.bi'

SUB Alley2

RestoreRoom = 13
Room:
  Weak = 0
  CLS
  PRINT "The alley here runs north and south.  Tall buildings loom overhead on either"
  PRINT "side of you, and steam floats up from vents in the concrete.  Overflowing"
  PRINT "dumpsters and trash cans line the walls, and graffiti decorates everything."
Command:
  LINE INPUT "> "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "NORTH" OR a$ = "GO NORTH" THEN Alley1
  IF a$ = "S" OR a$ = "SOUTH" OR a$ = "GO SOUTH" THEN Street1
  IF a$ = "E" OR a$ = "EAST" OR a$ = "GO EAST" THEN CannotGo: GOTO Command
  IF a$ = "W" OR a$ = "WEST" OR a$ = "GO WEST" THEN CannotGo: GOTO Command
  IF a$ = "STATS" THEN Stats: GOTO Command
  IF a$ = "SEARCH" OR a$ = "SEARCH ROOM" THEN GOTO SearchRoom: GOTO Command
  IF a$ = "LOOK" THEN GOTO Room: GOTO Command
  IF a$ = "HELP" OR a$ = "?" THEN Help: GOTO Room
  IF a$ = "QUIT" OR a$ = "EXIT" THEN Quit: GOTO Command
  IF a$ = "I" OR a$ = "INVENTORY" THEN Inventory: GOTO Command
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO Command
  IF a$ = "RESTORE" OR a$ = "RESTORE GAME" THEN RestoreInGame: GOTO Command
  IF a$ = "LOOK VENT" OR a$ = "OPEN VENT" THEN PRINT "Steam rises is white billows from the vent.  It is rusted firmly in place.": GOTO Command
  IF a$ = "LOOK GRAFFITI" OR a$ = "READ GRAFFITI" THEN PRINT "Most are gang signs and lewd messages.": GOTO Command
  IF a$ = "SEARCH TRASH" OR a$ = "SEARCH TRASH CAN" OR a$ = "GET TRASH" OR a$ = "SEARCH DUMPSTER" OR a$ = "OPEN DUMPSTER" THEN PRINT "The Sprawl's sanitary engineers must be on strike again.": GOTO Command
  CannotDo
  GOTO Command

SearchRoom:
  IF BlackCat = 0 THEN PRINT "A black cat, mangy fur matted to its gaunt body, scurries across your path.": BlackCat = 1: GOTO Command
  PRINT "You find nothing of interest."
  GOTO Command

END SUB

